Get all webhook subscriptions
curl --request GET \
--url https://api.circle.com/v2/notifications/subscriptions/permissionless \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.circle.com/v2/notifications/subscriptions/permissionless"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.circle.com/v2/notifications/subscriptions/permissionless', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "c4d1da72-111e-4d52-bdbf-2e74a2d803d5",
"endpoint": "https://example.org/handler/for/notifications",
"enabled": true,
"notificationTypes": [
"gateway.*"
],
"restricted": false,
"addresses": [
"0x1234567890abcdef1234567890abcdef12345678"
],
"domains": [
"26"
],
"environment": "TEST",
"createDate": "2023-01-01T12:04:05Z",
"updateDate": "2023-01-01T12:04:05Z",
"name": "Gateway Webhooks"
}
]
}{
"code": 401,
"message": "Malformed authorization."
}Get all webhook subscriptions
Retrieve an array of existing permissionless webhook subscriptions.
GET
/
v2
/
notifications
/
subscriptions
/
permissionless
Get all webhook subscriptions
Authorizations
Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.
Query Parameters
Filter subscriptions by environment. If omitted, returns subscriptions for all environments.
The environment for the subscription. Use TEST to receive testnet events or LIVE to receive mainnet events.
Available options:
TEST, LIVE Example:
"TEST"
Response
Successfully retrieved webhook subscriptions.
Show child attributes
Show child attributes
Was this page helpful?
⌘I